DeepCopyUtil (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util
Class DeepCopyUtil

    java.lang.Object
      com.bbn.openmap.util.DeepCopyUtil

    public class DeepCopyUtil

extends java.lang.Object

A set of convenience functions for deep copying data structures.

Author:
  ddietrick

Constructor Summary
`DeepCopyUtil()`

Method Summary
`static boolean[]` | `deepCopy(boolean[] source)`
`static boolean[][]` | `deepCopy(boolean[][] source)`
`static byte[]` | `deepCopy(byte[] source)`
`static byte[][]` | `deepCopy(byte[][] source)`
`static char[]` | `deepCopy(char[] source)`
`static char[][]` | `deepCopy(char[][] source)`
`static double[]` | `deepCopy(double[] source)`
`static double[][]` | `deepCopy(double[][] source)`
`static float[]` | `deepCopy(float[] source)`
`static float[][]` | `deepCopy(float[][] source)`
`static int[]` | `deepCopy(int[] source)`
`static int[][]` | `deepCopy(int[][] source)`
`static long[]` | `deepCopy(long[] source)`
`static long[][]` | `deepCopy(long[][] source)`
`static short[]` | `deepCopy(short[] source)`
`static short[][]` | `deepCopy(short[][] source)`
`static
`<T extends OMGeometry> T`
` | `deepCopy(T source)`
`static
`<T extends OMGeometry> T[]`
` | `deepCopy(T[] source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeepCopyUtil

    public DeepCopyUtil()

Method Detail

### deepCopy

    public static double[] deepCopy(double[] source)

### deepCopy

    public static int[] deepCopy(int[] source)

### deepCopy

    public static boolean[] deepCopy(boolean[] source)

### deepCopy

    public static float[] deepCopy(float[] source)

### deepCopy

    public static char[] deepCopy(char[] source)

### deepCopy

    public static short[] deepCopy(short[] source)

### deepCopy

    public static long[] deepCopy(long[] source)

### deepCopy

    public static byte[] deepCopy(byte[] source)

### deepCopy

    public static <T extends OMGeometry> T deepCopy(T source)

### deepCopy

    public static <T extends OMGeometry> T[] deepCopy(T[] source)

### deepCopy

    public static double[][] deepCopy(double[][] source)

### deepCopy

    public static boolean[][] deepCopy(boolean[][] source)

### deepCopy

    public static byte[][] deepCopy(byte[][] source)

### deepCopy

    public static char[][] deepCopy(char[][] source)

### deepCopy

    public static int[][] deepCopy(int[][] source)

### deepCopy

    public static float[][] deepCopy(float[][] source)

### deepCopy

    public static long[][] deepCopy(long[][] source)

### deepCopy

    public static short[][] deepCopy(short[][] source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details